import { SimpleLocalIntegration } from '../../core/index.js';
import { EpsonConfigFlow } from './epson.classes.configflow.js';
import { createEpsonDiscoveryDescriptor } from './epson.discovery.js';
import type { IEpsonConfig } from './epson.types.js';
import { epsonDomain, epsonProfile } from './epson.types.js';

export class EpsonIntegration extends SimpleLocalIntegration<IEpsonConfig> {
  public readonly domain = epsonDomain;
  public readonly discoveryDescriptor = createEpsonDiscoveryDescriptor();
  public readonly configFlow = new EpsonConfigFlow();

  constructor() {
    super(epsonProfile);
  }
}

export class HomeAssistantEpsonIntegration extends EpsonIntegration {}
